import * as core from "@terrascript/core";

export interface NetworkAclAssociationArgs extends core.ResourceArgs {
  networkAclId: string | core.StringOut;

  subnetId: string | core.StringOut;
}

export class NetworkAclAssociation extends core.Resource<NetworkAclAssociationArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public networkAclId!: string | core.StringOut;

  @core.attr(String)
  public subnetId!: string | core.StringOut;

  constructor(name: string, args?: NetworkAclAssociationArgs) {
    super(name, "aws_network_acl_association", args);
  }

  public override getNamespace(): string {
    return "aws_vpc";
  }
}
